Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model
Class DateUtils

    java.lang.Object
      datechooser.model.DateUtils

    public class DateUtils

extends java.lang.Object

Service class for dates, ignores time.
Сервисный класс для работы с датами без учета времени.

Since:
  1.0
Author:
  Androsov Vadim

Constructor Summary
`DateUtils()`

Method Summary
`static boolean` | `after(java.util.Calendar dat1, java.util.Calendar dat2)` Is first date after second (time is ignored).
`static void` | `assign(java.util.Calendar target, java.util.Calendar source)` Assign source date to target (time is ignored).
`static boolean` | `before(java.util.Calendar dat1, java.util.Calendar dat2)` Is first date before second (time is ignored).
`static boolean` | `equals(java.util.Calendar dat1, java.util.Calendar dat2)` Compares dates (time is ignored).
`static int` | `getDay(java.util.Calendar date)` Extract day.
`static int` | `getMonth(java.util.Calendar date)` Extract month.
`static int` | `getYear(java.util.Calendar date)` Extract year.
`static boolean` | `isNear(java.util.Calendar dat1, java.util.Calendar dat2)` Are dates near (time is ignored).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateUtils

    public DateUtils()

Method Detail

### getDay

    public static int getDay(java.util.Calendar date)

  Extract day.
  Получить день.

  Since:
    1.0

### getMonth

    public static int getMonth(java.util.Calendar date)

  Extract month.
  Получить месяц.

  Since:
    1.0

### getYear

    public static int getYear(java.util.Calendar date)

  Extract year.
  Получить год.

  Since:
    1.0

### equals

    public static boolean equals(java.util.Calendar dat1,
                                 java.util.Calendar dat2)

  Compares dates (time is ignored).
  Сравнивает даты без учета времени.

  Since:
    1.0

### before

    public static boolean before(java.util.Calendar dat1,
                                 java.util.Calendar dat2)

  Is first date before second (time is ignored).
  Проверяет предшествует ли одна дата другой без учета времени.

  Since:
    1.0

### after

    public static boolean after(java.util.Calendar dat1,
                                java.util.Calendar dat2)

  Is first date after second (time is ignored).
  Проверяет следует ли одна дата за другой без учета времени.

  Since:
    1.0

### assign

    public static void assign(java.util.Calendar target,
                              java.util.Calendar source)

  Assign source date to target (time is ignored).
  Устанавливает целевую дату равной источнику.

  Since:
    1.0

### isNear

    public static boolean isNear(java.util.Calendar dat1,
                                 java.util.Calendar dat2)

  Are dates near (time is ignored).
  Проверяет, граничат ли даты друг с другом без учета времени.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD